package com.grkj.iscs_mc.view.presenter

import com.grkj.iscs_mc.extentions.serialNo
import com.grkj.iscs_mc.model.vo.inspection.LatestInspectionPlanRespVO
import com.grkj.iscs_mc.util.Executor
import com.grkj.iscs_mc.util.NetApi
import com.grkj.iscs_mc.view.base.BasePresenter
import com.grkj.iscs_mc.view.iview.IMaterialInspectionPlanView

class MaterialInspectionPlanPresenter : BasePresenter<IMaterialInspectionPlanView>() {

    fun getLatestInspectionPlan(callBack: (LatestInspectionPlanRespVO?) -> Unit) {
        NetApi.getLatestInspectionPlan(mContext!!.serialNo()) {
            Executor.runOnMain {
                callBack(it)
            }
        }
    }
}